CircleMapArea (jCharts-0.7.5 API)
Keywords: org.jCharts.imageMap.CircleMapArea,CircleMapArea class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.imageMap
Class CircleMapArea

    java.lang.Object
      |
      +--org.jCharts.imageMap.ImageMapArea
            |
            +--org.jCharts.imageMap.CircleMapArea

All Implemented Interfaces:
  java.io.Serializable

public final class CircleMapArea
extends ImageMapArea
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`private int` | `radius`

Fields inherited from class org.jCharts.imageMap.ImageMapArea
`x, y`

Constructor Summary
`CircleMapArea(float x, float y, double value, java.lang.String xAxisLabel, java.lang.String legendLabel)`
`CircleMapArea(float x, float y, java.awt.geom.Point2D.Double value, java.lang.String legendLabel)`

Method Summary
`AreaShape` | `getAreaShape()`
`protected void` | `getCoordinates(java.lang.StringBuffer html)` Appends the coordinates to the passed html buffer.
`void` | `setRadius(int radius)` Allows user to specify the radius for each circle

Methods inherited from class org.jCharts.imageMap.ImageMapArea
`getLengendLabel, getNumberOfCoordinates, getValue, getXAxisLabel, getXCoordinate, getYCoordinate, toHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### radius

    private int radius

Constructor Detail

### CircleMapArea

    public CircleMapArea(float x,
                         float y,
                         double value,
                         java.lang.String xAxisLabel,
                         java.lang.String legendLabel)

Parameters:
  `x` -
  `y` -
  `value` -
  `xAxisLabel` -
  `legendLabel` -

### CircleMapArea

    public CircleMapArea(float x,
                         float y,
                         java.awt.geom.Point2D.Double value,
                         java.lang.String legendLabel)

Parameters:
  `x` -
  `y` -
  `value` -
  `legendLabel` -

Method Detail

### getAreaShape

    public AreaShape getAreaShape()

  Specified by:
    `getAreaShape` in class `ImageMapArea`
  Returns:
    AreaShape

### setRadius

    public void setRadius(int radius)

  Allows user to specify the radius for each circle

  Parameters:
    `radius` -

### getCoordinates

    protected void getCoordinates(java.lang.StringBuffer html)

  Description copied from class: `ImageMapArea`
  Appends the coordinates to the passed html buffer. This is needed to facilitate the 'circle' map areas 'radius' value.

  Overrides:
    `getCoordinates` in class `ImageMapArea`
  Parameters:
    `html` - pass a reference to the StringBuffer so I can minimize Object creation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD